Lỗ hổng Ghost máy chủ ảnh hưởng WordPress và PHP

Lỗ hổng Ghost ảnh hưởng đến Wordpress và PHP

Sau khi lỗ hổng quan trọng GHOST trong thư viện GNU C (glibc) được tiết lộ, các nhà nghiên cứu bảo mật đã phát hiện ra rằng các ứng dụng PHP, bao gồm cả hệ thống quản lý nội dung (CMS) WordPress cũng có thể bị ảnh hưởng bởi lỗ hổng Ghost.

GHOST là một lỗ hổng nghiêm trọng (CVE-2015-0235) mới được các nhà nghiên cứu của hãng bảo mật Qualys công bố trong tuần này, có liên quan đến một lỗi tràn bộ đệm heap-based trong tên hàm glibc: getHOSTbyname(). Các nhà nghiên cứu cho biết lỗ hổng này đã xuất hiện kể từ năm 2000.

Mặc dù các nhà phân phối Linux lớn như Red Hat, Debian và Ubuntu đã cập nhật phần mềm của họ để chống lại lỗ hổng nhưng GHOST vẫn có thể bị tin tặc sử dụng với chỉ một số ít các ứng dụng để chạy thực thi mã từ xa và âm thầm giành quyền kiểm soát một máy chủ Linux.

Kể từ khi các ứng dụng PHP bao gồm cả WordPress cũng sử dụng các chức năng bao bọc gethostbyname() thì lỗ hổng trở nên nghiêm trọng hơn, ngay cả khi nhiều nhà phân phối Linux đã ban hành bản vá, sửa lỗi.

GHOST – vấn đề lớn đối với WordPress
Theo nhà nghiên cứu Marc-Alexandre Montpas, lỗ hổng GHOST có thể là một vấn đề lớn đối với WordPress CMS, vì nó sử dụng chức năng wp_http_validate_url() để xác nhận mỗi bài pingback URL. Và vì thế, tin tặc có thể tận dụng điều này để chèn một URL độc hại gây ra lỗi tràn bộ đệm server-side và giành quyền kiểm soát máy chủ.

Lỗ hổng này ảnh hưởng đến tất cả các phiên bản của glibc từ glibc thấp đến 2.17. Tuy nhiên, nó đã được vá trong glibc-2.18 hồi tháng 5 năm 2013 nhưng không được xem là một lỗ hổng bảo mật để các nhà phân phối Linux sửa chữa một cách có hiệu quả.

Theo Montpas, đây là một lỗ hổng cực kỳ quan trọng và những người dùng máy chủ chuyên dụng (hay VPS) chạy Linux nên cập nhật ngay lập tức.

Công ty bảo mật Sucuri cũng cung cấp các phương pháp kiểm tra mã PHP mà một admin có thể chạy trên các máy chủ thiết bị đầu cuối của họ. Nếu các mã trả về một lỗi phân khúc thì máy chủ Linux đó đã dính lỗ hổng GHOST. Cụ thể như sau:

php-r’$e=”0″;for($i=0;$i<2500;$i++){$e=”0$e”;}gethostbyname($e);’Segmentation fault

CÁCH BẢO VỆ HỆ THỐNG NGƯỜI DÙNG
Cho đến bây giờ, Debian 7, Red Hat Enterprise Linux 6 và 7, CentOS 6 và 7 và Ubuntu 12.04 đã phát hành các bản cập nhật phần mềm. Vì vậy, người sử dụng hệ điều hành Linux được khuyến cáo vá hệ thống của họ, sau đó thì khởi động lại hệ thống càng sớm càng tốt.

Disable XML-RPC 
Nếu không muốn sử dụng quá trình XML-RPC để vô hiệu hóa nó hoàn toàn, người dùng có thể sử dụng những WordPress plugins để hoàn toàn vô hiệu hóa quá trình XML-RPC.

Vô hiệu hóa yêu cầu Pingback 
Người dùng cũng có thể vô hiệu hóa các tính năng pingback bằng cách thêm mã sau vào file functions.php

add_filter(‘xmlrpc_methods’,function($methods){unset($methods[‘pingback.ping]); return$methods;});

Xem Cách vá lỗ hổng Ghost trên máy chủ Linux


(SecurityDaily.net)
Share on Google Plus
Oggy mở Blog này chỉ mục đích đem đến các tin mới hữu ích cho người đọc ... và chỉ thế thôi... nên các bài Đã chọn lọc bởi Oggy.. Các bạn thấy thích thì "+1" hoặc "Like" cho Oggy nhé